Description

When running a db:migrate and db:seed (only the latter initialises settings) with websockets_* settings in settings.yaml, the

initialisation order is such that websockets_encrypt is set to true before the key and certs are initialised.  This causes its validation to

fail.

1. [ WARN 2015-07-15 07:39:19 verbose] 

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]/returns: Validation failed: Unable to

turn on websockets_encrypt, either websockets_ssl_key or websockets_ssl_cert is missing

settings.yaml:

:websockets_encrypt: true

:websockets_ssl_key: /var/lib/puppet/ssl/private_keys/foreman.example.com.pem

:websockets_ssl_cert: /var/lib/puppet/ssl/certs/foreman.example.com.pem

 It could probably be avoided by swapping the initialisation order in the Setting::Auth file.

Related issues:

Related to Foreman - Bug #9603: Setting called websockets_encrypt does not wo... Closed 03/02/2015

Associated revisions

Revision dc3ba8b2 - 07/16/2015 02:52 AM - Dominic Cleal

fixes #11121 - initialise websockets_encrypt after dependencies

When settings.yaml (SETTINGS) is used to set websockets_encrypt to true,

the key and cert need to be initialised first for its key/cert

validation to pass.

History

#1 - 07/15/2015 04:29 AM - Dominic Cleal

- Related to Bug #9603: Setting called websockets_encrypt does not work correctly added

#2 - 07/15/2015 09:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2550 added

- Pull request deleted ()

#3 - 07/15/2015 09:29 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#4 - 07/16/2015 03:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dc3ba8b236d8c91cd613d932797df78126c484b1.
